/** 
* @name Управление вентилятором ванная по влажности 
* @desc  
*/ 
const sensor = Device("SensorA","Sensor"); //Переменная для датчика влажности
const actor = Device("ActorD","Actor"); //Переменная для вытяжки

const script = {
	check() {
	return sensor.aval >sensor.defval ; //Проверяем, что влажность выше уставки
	},

	start() {
		this.startTimer('T1', 15, 'vent_on'); //Запускаем таймер, по истечению 15с
		//запускается процедура vent_on, иначе переходим далее на процедуру vent_off
	},

	vent_off() { 
			this.stopTimer('T1');	//Останавливаем таймер T1 (в случае если влажность
			//была выше уставки менее 15с)
			this.do(actor, 'aoff'); //Отключаем вытяжку с сохранением автоматического режима
			this.exit();
	},

	vent_on() {
	   	this.do(actor, 'aon'); //Включаем вытяжку с сохранением автоматического режима
		  this.startTimer('T2', 300, 'vent_off'); //по истечению 300с переходим к процедуре vent_off
	}
};